%define debug_package %{nil}

%define libname_devel %mklibname gnu-efi -d

Summary:        Development Libraries and headers for EFI
Name:           gnu-efi
Version:        3.0.18
Release:        %mkrel 2
Group:          Development/Other
License:        BSD
URL:            https://gnu-efi.sourceforge.net/
Source:         https://downloads.sourceforge.net/project/gnu-efi/gnu-efi-%{version}.tar.bz2
ExclusiveArch:  %{efi}
BuildRequires:  efi-srpm-macros >= 5-3

%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package -n %{libname_devel}
Summary:        Development Libraries and headers for EFI
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 3.0q-3

%description -n %{libname_devel}
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%prep
%setup -q -n gnu-efi-%{version}
%autopatch -p1

%build
export LDFLAGS="--no-warn-rwx-segments"
# Package cannot build with %%{?_smp_mflags}.
make
make apps

%install
mkdir -p %{buildroot}%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}%{_libdir}/gnuefi
mv %{buildroot}%{_libdir}/*.lds %{buildroot}%{_libdir}/*.o %{buildroot}%{_libdir}/gnuefi

# (cg) We differ from Fedora in that we only install to known locations and copy
# to the EFI partition when needed - packaging stays away from /boot/
mkdir -p %{buildroot}%{_libdir}/gnuefi/images
mv */apps/{route80h.efi,modelist.efi} %{buildroot}%{_libdir}/gnuefi/images

%files -n %{libname_devel}
%doc README.* ChangeLog
%{_includedir}/efi
%{_libdir}/*



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.18-2.mga10
+ Revision: 2227164
- Mageia 10 Mass Rebuild

* Tue Aug 27 2024 neoclust <neoclust> 3.0.18-1.mga10
+ Revision: 2091719
- New version 3.0.18

* Thu Feb 22 2024 kekepower <kekepower> 3.0.17-1.mga10
+ Revision: 2043214
- Update to version 3.0.17

* Tue Dec 27 2022 pterjan <pterjan> 3.0.15-1.mga9
+ Revision: 1927268
- Try to fix build with recent binutils on non x86
- Update to 3.0.15
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- BR efi-srpm-macros

* Thu May 13 2021 tv <tv> 3.0.13-1.mga9
+ Revision: 1722715
- %%{efi} is now defined, let's build on armv7
- 3.0.13

* Sat Sep 05 2020 pterjan <pterjan> 3.0.12-1.mga8
+ Revision: 1622778
- Update to 3.0.12

* Fri Feb 14 2020 umeabot <umeabot> 3.0.6-2.mga8
+ Revision: 1519449
- Mageia 8 Mass Rebuild

* Mon Oct 15 2018 pterjan <pterjan> 3.0.6-1.mga7
+ Revision: 1320643
- Add upstream patch fixing build on i586
- Update to 3.0.6 (which contains fixes for new gcc)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- new release
- drop merged patches

* Tue May 10 2016 tv <tv> 3.0.3-1.mga6
+ Revision: 1012151
- new release

* Thu Jan 28 2016 umeabot <umeabot> 3.0w-3.mga6
+ Revision: 928492
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0w-2.mga5
+ Revision: 679803
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 pterjan <pterjan> 3.0w-1.mga5
+ Revision: 670790
- 3.0w
- add Fedora patch fixing build

* Sun Oct 27 2013 pterjan <pterjan> 3.0u-2.mga4
+ Revision: 547349
- Rebuild as it passed through mass rebuild

* Sun Aug 11 2013 pterjan <pterjan> 3.0u-1.mga4
+ Revision: 465574
- Update to 3.0u
- Update URL/Source to sourceforge
- Drop all patches (already upstream)
+ colin <colin>
- Use Mageia library policy for devel package
- Add various patches from fedora
- Add new EFI binaries (not directly installed to ESP)

* Sat Jan 12 2013 umeabot <umeabot> 3.0q-2.mga3
+ Revision: 352329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.0q-1.mga3
+ Revision: 329941
- imported package gnu-efi


* Wed Dec 12 2012 Pascal Terjan <pterjan@mageia.org> 3.0q-1.mga3
- Imported from Fedora, heavily modified

* Fri Jul 27 2012 Matthew Garrett <mjg@redhat.com> - 3.0q-1
- Update to current upstream
- License change - GPLv2+ to BSD

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0e-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Peter Jones <pjones@redhat.com> - 3.0e-17
- Align .reloc section as well to make secureboot work (mfleming)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0e-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Peter Jones <pjones@redhat.com> - 3.0e-15
- Correctly pad the stack when doing uefi calls
  Related: rhbz#677468
- Add ability to write UEFI callbacks and drivers
- Add test harness for ABI Calling Conventions

* Thu Jun 16 2011 Peter Jones <pjones@redhat.com> - 3.0e-14
- Handle uninitialized GOP driver gracefully.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0e-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Peter Jones <pjones@redhat.com> - 3.0e-12
- Add "modelist.efi" test utility in apps/

* Mon Jul 26 2010 Peter Jones <pjones@redhat.com> - 3.0e-11
- Add PciIo headers.

* Fri Jul 23 2010 Peter Jones <pjones@redhat.com> - 3.0e-10
- Add UEFI 2.x boot services.

* Tue Aug 11 2009 Peter Jones <pjones@redhat.com> - 3.0e-9
- Change ExclusiveArch to reflect arch changes in repos.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0e-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 03 2009 Peter Jones <pjones@redhat.com> - 3.0e-7
- Use nickc's workaround for #492183

* Tue Mar 31 2009 Peter Jones <pjones@redhat.com> - 3.0e-6.1
- Make a test package for nickc.

* Thu Mar 12 2009 Chris Lumens <clumens@redhat.com> 3.0e-6
- Add IA64 back into the list of build arches (#489544).

* Mon Mar 02 2009 Peter Jones <pjones@redhat.com> - 3.0e-5
- Switch to i586 from i386.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0e-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Peter Jones <pjones@redhat.com> - 3.0e-3
- Pad sections out in the provided linker scripts to make sure they all of
  some content.

* Fri Oct 03 2008 Peter Jones <pjones@redhat.com> - 3.0e-2
- Fix install paths on x86_64.

* Thu Oct 02 2008 Peter Jones <pjones@redhat.com> - 3.0e-1
- Update to 3.0e
- Fix relocation bug in 3.0e

* Tue Jul 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.0d-6
- fix license tag

* Mon Jul 28 2008 Peter Jones <pjones@redhat.com> - 3.0d-5
- Remove ia64 palproc code since its license isn't usable.
- Remove ia64 from ExclusiveArch since it can't build...

* Thu Mar 27 2008 Peter Jones <pjones@redhat.com> - 3.0d-4
- Fix uefi_call_wrapper(x, 10, ...) .
- Add efi_main wrappers and EFI_CALL() macro so drivers are possible.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0d-3
- Autorebuild for GCC 4.3

* Fri Jan 11 2008 Peter Jones <pjones@redhat.com> - 3.0d-2
- Get rid of a bogus #ifdef .

* Wed Dec 19 2007 Peter Jones <pjones@redhat.com> - 3.0d-1
- Update to 3.0d

* Tue Jun 12 2007 Chris Lumens <clumens@redhat.com> - 3.0c-2
- Fixes for package review (#225846).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.0c-1.1
- rebuild

* Thu Apr 27 2006 Chris Lumens <clumens@redhat.com> 3.0c-1
- Upgrade to gnu-efi-3.0c.
- Enable build on i386.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0a-7.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Mar  3 2005 Jeremy Katz <katzj@redhat.com> - 3.0a-7
- rebuild with gcc 4

* Tue Sep 21 2004 Jeremy Katz <katzj@redhat.com> - 3.0a-6
- add fix from Jesse Barnes for newer binutils (#129197)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Jeremy Katz <katzj@redhat.com> - 3.0a-4
- actually add the patch

* Tue Apr 20 2004 Bill Nottingham <notting@redhat.com> 3.0a-3
- add patch to coalesce some relocations (#120080, <erikj@sgi.com>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Oct  4 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- update to 3.0

* Tue Jun  5 2001 Bill Nottingham <notting@redhat.com>
- add fix for invocations from the boot manager menu (#42222)

* Tue May 22 2001 Bill Nottingham <notting@redhat.com>
- add bugfix for efibootmgr (<schwab@suse.de>)

* Mon May 21 2001 Bill Nottingham <notting@redhat.com>
- update to 2.5
- add in efibootmgr from Dell (<Matt_Domsch@dell.com>)

* Thu May  3 2001 Bill Nottingham <notting@redhat.com>
- fix booting of kernels with extra arguments (#37711)

* Wed Apr 25 2001 Bill Nottingham <notting@redhat.com>
- take out Stephane's initrd patch

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- fix the verbosity patch to not break passing arguments to images

* Wed Apr 18 2001 Bill Nottingham <notting@redhat.com>
- update to 2.0, build elilo, obsolete eli

* Tue Dec  5 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- add patch for new toolchain, update to 1.0

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9
